'''
1) Создайте список из 5 чисел.
2) Напишите функцию, которая находит все отрицательные числа и выводит их.
3) С помощью отладки пройдите все шаги выполнения программы, анализируя значения всех переменных.
'''
def minlist(s):
    l = []
    for i in s:
        if i<0:
            l.append(i)
        else:
            continue
    return l

s = [1, 2, -4, 5, -5]
print(minlist(s))